##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Money)		= PkgName
# sampledir (ksm-money)		= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for Money

%define name	ksm-money
%define version	1.0.0
%define release	2.0.0
%define _arch	x86_64
%define _srcfile	%{_topdir}/SOURCES/%{name}-64bit.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Financial programs
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Office/Other
Source:		%{name}-64bit.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	% {_tmppath}/% {name}-% {version}-% {release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	ksm-lib-sh >= 5.0.1-0.0.0,ksm-libmath2-sh >= 4.0.0-0.0.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains the following financial programs:
 kredit 
 kredit-extra 
 sparen

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) % {_confdir}/sample.conf
#%config % {_confdir}/sample.conf
#%config % {_scnfdir}/sample
#% {_confdir}/sample.conf

#%attr(744,root,root)/% {_rcdir}/sampledm

%attr(755,root,root)%{_bindir}/kredit
%attr(755,root,root)%{_bindir}/kredit-extra
%attr(755,root,root)%{_bindir}/sparen

%{_datadir}/RELEASE
%{_datadir}/VERSION

#/usr/share/applications/sample.desktop
#% {_icondir}/16x16/apps/sample.png
#% {_icondir}/22x22/apps/sample.png
#% {_icondir}/32x32/apps/sample.png
#% {_icondir}/48x48/apps/sample.png
#% {_icondir}/64x64/apps/sample.png
#% {_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

%docdir %{_man1dir}
%{_man1dir}/kredit.1.gz
%{_man1dir}/kredit-extra.1.gz
%{_man1dir}/sparen.1.gz

#%docdir % {_man8dir}
#% {_man8dir}/sampledm.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#% {_docdir}/README.de
%{_docdir}/kredit.c
%{_docdir}/sparen.c

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave

# disable sample and stop sampledm
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/sample.conf
#cnfvars='MyVar1 MyVar2'

#c='' s='' t='' cnt=0 i=0 ret=0
#rcfile='' updcmd='' u='' usr=''

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
#else							# upgrade package
#	# update global conf
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#
#		# update conf vars START -------------------------------------
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		# update conf vars STOP --------------------------------------
#
#		# update array vars START ------------------------------------
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------
#
#		# compare new conf vars <--> old conf vars
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
#	# update all users conf START ----------------------------------------
#	rcfile='.samplerc'
#	updcmd="%{_bindir}/update-sample -q"
#	usr=`/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1`
#	for u in "$usr"; do
#		if [ -e /home/$u/$rcfile ]; then
#			/bin/su $u -c "$updcmd"
#		fi
#	done
#	if [ -e /root/$rcfile ]; then
#		$updcmd
#	fi
#	# update all users conf STOP -----------------------------------------
#
#	echo "If new version then users must update HOME/.samplerc with update-sample"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

#if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
	#test -e %{_scnfdir}/sample.conf && cp %{_scnfdir}/sample.conf %{_scnfdir}/sample.conf.rpmsave

	# disable sample daemon and stop sampledm
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then			# systemd
	#	if [ -e %{_sysddir}/ksm-sample.service ]; then
	#		systemctl stop ksm-sample.service
	#		systemctl disable ksm-sample.service
	#		rm %{_sysddir}/ksm-sample.service
	#		systemctl daemon-reload
	#	fi
	#else						# SysV init
	#	test -x %{_rcdir}/ksm-sample && %{_rcdir}/ksm-sample stop > /dev/null 2>&1
	#	insserv -r ksm-sample
	#	rm -f %{_rcdir}/ksm-sample
	#	rm -f %{_bindir}/rcksm-sample
	#fi
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/ksm-money
#else							# upgrade package
fi
exit 0

%changelog
* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.0-2.0.0
- kredit-extra has been revised/improved
  (chang. req. libmath to libmath2).

* Wed Feb 03 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.11.0
- kredit has been revised/improved
  (suppress output of Tilgsatz-Begin).
- kredit-extra has been revised/improved
  (documentation and program).

* Sat Nov 21 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.10.0
- The program kredit-extra has been revised/improved
  (added sourcing of libmath-sh).

* Thu Jan 25 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.9.0
- The script kredit-extra has been revised/improved
  (updating messages and the docu).

* Sat Feb 04 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.8.0
- The script kredit-extra has been revised
  (using function GetOpt).

* Sun Dec 18 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.7.0
- The script kredit-extra has been revised.

* Tue Mar 31 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.6.0
- The script kredit-extra has been revised
  to adopt it to the KSM-Lib-SH 1.0.8.

* Tue Mar 31 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.5.0
- The script kredit-extra has been revised.

* Tue Mar 31 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.4.0
- The script kredit-extra has been revised.

* Mon Mar 30 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.3.0
- The script kredit-extra has been revised.

* Wed Oct 15 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.2.1
- The docu of the package has been revised.

* Wed Sep 26 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.2.0
- The package has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.1.0
- The package has been revised.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0
- The release naming scheme has changed ('.ksm' is removed).

* Wed Jan 12 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0.ksm
- The program kredit is revised.
- Added the script kredit-extra.

* Mon Jan 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3.ksm
- The docu has changed.

* Fri Jan 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.2.ksm
- Change of package name (Release).

* Thu Nov 19 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.ksm.0.1
- The RPM scriptlets are corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
